## decklinkaudiosink decklinkaudiosink — Outputs Audio to a BlackMagic DeckLink Device |

## Properties

gint | device-number | Read / Write / Construct
gchar * | hw-serial-number | Read
guint64 | alignment-threshold | Read / Write
guint64 | buffer-time | Read / Write
guint64 | discont-wait | Read / Write

## Types and Values

struct | GstDecklinkAudioSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstDecklinkAudioSink

## Description

Playout Video and Audio to a BlackMagic DeckLink Device. Can only be used in conjunction with decklinkvideosink.

#### Sample pipeline

    1
    2
    3
    gst-launch-1.0 \
      videotestsrc ! decklinkvideosink device-number=0 mode=1080p25 \
      audiotestsrc ! decklinkaudiosink device-number=0

Playout a 1080p25 test-video with a test-audio signal to the SDI-Out of Card 0. Devices are numbered starting with 0.

## Synopsis

### Element Information

plugin | decklink
author | David Schleef <ds@entropywave.com>, Sebastian Dröge <sebastian@centricular.com>
class | Audio/Sink/Hardware

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S16LE, S32LE }, channels=(int){ 2, 8, 16 }, rate=(int)48000, layout=(string)interleaved

## Functions

## Types and Values

### struct GstDecklinkAudioSink

    struct GstDecklinkAudioSink;

## Property Details

### The `“device-number”` property

      “device-number”            gint

Output device instance to use.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 0

### The `“hw-serial-number”` property

      “hw-serial-number”         gchar *

The serial number (hardware ID) of the Decklink card.

Flags: Read

Default value: NULL

### The `“alignment-threshold”` property

      “alignment-threshold”      guint64

Timestamp alignment threshold in nanoseconds.

Flags: Read / Write

Allowed values: <= 18446744073709551614

Default value: 40000000

### The `“buffer-time”` property

      “buffer-time”              guint64

Size of audio buffer in microseconds, this is the minimum latency that the sink reports.

Flags: Read / Write

Default value: 50000

### The `“discont-wait”` property

      “discont-wait”             guint64

Window of time in nanoseconds to wait before creating a discontinuity.

Flags: Read / Write

Allowed values: <= 18446744073709551614

Default value: 1000000000

## See Also

decklinkvideosink